MongoDB\Driver\Cursor
MongoDB\Driver\Cursor::getId
MongoDB\Driver\Cursor
PHP Manual

# MongoDB\Driver\Cursor::__construct

(mongodb >=1.0.0)

MongoDB\Driver\Cursor::__construct — Create a new Cursor (not used)

### Description

final private MongoDB\Driver\Cursor::__construct ( void )

MongoDB\Driver\Cursor objects are returned as the result of an executed command or query and cannot be constructed directly.

### Parameters

This function has no parameters.

### See Also

- MongoDB\Driver\Manager::executeCommand() - Execute a database command
- MongoDB\Driver\Manager::executeQuery() - Execute a database query
- MongoDB\Driver\Server::executeCommand() - Execute a database command on this server
- MongoDB\Driver\Server::executeQuery() - Execute a database query on this server

MongoDB\Driver\Cursor
MongoDB\Driver\Cursor::getId
MongoDB\Driver\Cursor
PHP Manual